KinoSearch1::Search::Query(3pm)

NAME
KinoSearch1::Search::Query - base class for search queries

SYNOPSIS
    # abstract base class

DESCRIPTION
Base class for queries to be performed against an invindex. TermQuery is one example.

METHODS

  set_boost get_boost
    $term_query_a->set_boost(2);
    $boolean_query->add_clause( query => $term_query_a, occur => 'SHOULD' );
    $boolean_query->add_clause( query => $term_query_b, occur => 'SHOULD' );

The boost of any Query is 1.0 by default. Setting boost to a number greater than one increases a Query's relative contribution to a score, and setting boost to a lower number decreases the contribution.

COPYRIGHT
Copyright 2005-2010 Marvin Humphrey

LICENSE, DISCLAIMER, BUGS, etc.
See KinoSearch1 version 1.01.